=== src/plugins/web/pics/CMakeLists.txt ===
kreport_add_plugin_icons_rcc_file(org.kde.kreport.web breeze)
