## kreport 3.0.2

=== debian/changelog ===
kreport (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Small copyright update.
  * Bump the Qt, frameworks, and kproperty build dependencies as indicated
    by the upstream build system.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 10:54:18 +0200

kreport (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2017 13:12:25 +0200

kreport (3.0.0-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Set the version for the libmarble-dev build dependency to 4:16.08.0~,
    as older versions do not have the proper cmake configuration files.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Mar 2017 07:42:31 +0200

kreport (3.0.0-1) experimental; urgency=medium

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jan 2017 23:21:16 +0100
