=== debian/control ===
Source: kreport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0),
               libkf5config-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.0.2),
               libmarble-dev (>= 4:16.08.0~),
               libqt5webkit5-dev,
               pkg-kde-tools (>= 0.15.16),
               python,
               qtbase5-dev (>= 5.4.0),
               qtdeclarative5-dev,
Standards-Version: 4.0.1
Homepage: https://community.kde.org/KReport
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kreport.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kreport.git

Package: libkreport3-3
Architecture: any
Multi-Arch: same
Depends: libkreport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: report creation and generation framework -- shared library
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 Reports can be created interactively and programmatically. They can be
 previewed on screen, printed, and saved in a variety of formats such as
 HTML, PDF and OpenDocument.
 .
 Reports of this kind offer a way to view, format, and summarize the
 information. For example a simple report of contact phone numbers can be
 prepared, or a more complex report on sales for different products, regions,
 and periods of time.
 .
 A report is often filled with information from a database. There are many
 use cases:
  * The data can be displayed, summarized, sorted and grouped
  * Totals can be computed and displayed
  * Single or multiple records of data can be placed on a page
  * Details for individual data records can be placed in a layout
  * Labels can be created
  * The various report sections, such as title, header or footer, can be sized
    to suit
  * Reports can be generated on demand, thus eliminating saving them in files
    for further use
 .
 This package contains the shared library.
 .
 This package is part of the Calligra Suite.

Package: libkreport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the architecture independent data files for the
 KReport library.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-dev
Architecture: any
Section: libdevel
Depends: libkreport3-3 (= ${binary:Version}),
         qtbase5-dev (>= 5.3.0),
         libkproperty3-dev (>= 3.0.0),
         libkf5coreaddons-dev,
         ${misc:Depends},
Description: development files for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the development files for the KReport library.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-plugin-barcode
Architecture: any
Multi-Arch: same
Depends: libkreport3-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: barcode plugin for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the barcode plugin for KReport.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-plugin-maps
Architecture: any
Multi-Arch: same
Depends: libkreport3-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: maps plugin for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the maps plugin for KReport.
 .
 This package is part of the Calligra Suite.

Package: libkreport3-plugin-web
Architecture: any
Multi-Arch: same
Depends: libkreport3-3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web plugin for KReport
 The KReport framework implements reporting functionality for creation
 of reports in MS Access style. They are also similar to SAP Crystal Reports
 and FileMaker reports.
 .
 This package contains the web plugin for KReport.
 .
 This package is part of the Calligra Suite.
