=== debian/watch ===
version=4

http://download.kde.org/stable/kreport/src/kreport-([\d\.]+)\.tar\.xz
