## kreport 3.1.0

=== debian/changelog ===
kreport (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:33:39 +0100

kreport (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename libkreport3-3 to libkreport3-4 according to the upstream SONAME bump.
  * Bump the libkproperty3-dev build dependency to >= 3.1.0~.
  * Switch the python build dependency to python3, as it is supposed now by
    the build scripts
    - pass -DPython_ADDITIONAL_VERSIONS=3 to cmake, to make FindPythonInterp
      accept Python 3
  * Add the required qttools5-dev build dependency.
  * Update install files.
  * Update symbols file.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Vcs-* fields to salsa.debian.org.
  * Mark also libkreport3-dev as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 12:25:52 +0100
