=== debian/control ===
--- 
+++ 
@@ -4,26 +4,27 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
                libkf5guiaddons-dev (>= 5.16.0),
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
-               libkproperty3-dev (>= 3.0.2),
+               libkproperty3-dev (>= 3.1.0~),
                libmarble-dev (>= 4:16.08.0~),
                libqt5webkit5-dev,
                pkg-kde-tools (>= 0.15.16),
-               python,
+               python3,
                qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
-Standards-Version: 4.0.1
+               qttools5-dev,
+Standards-Version: 4.1.3
 Homepage: https://community.kde.org/KReport
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kreport.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kreport.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kreport.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kreport
 
-Package: libkreport3-3
+Package: libkreport3-4
 Architecture: any
 Multi-Arch: same
 Depends: libkreport-data (>= ${source:Version}),
@@ -75,8 +76,9 @@
 
 Package: libkreport3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          qtbase5-dev (>= 5.3.0),
          libkproperty3-dev (>= 3.0.0),
          libkf5coreaddons-dev,
@@ -93,7 +95,7 @@
 Package: libkreport3-plugin-barcode
 Architecture: any
 Multi-Arch: same
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: barcode plugin for KReport
@@ -108,7 +110,7 @@
 Package: libkreport3-plugin-maps
 Architecture: any
 Multi-Arch: same
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: maps plugin for KReport
@@ -123,7 +125,7 @@
 Package: libkreport3-plugin-web
 Architecture: any
 Multi-Arch: same
-Depends: libkreport3-3 (= ${binary:Version}),
+Depends: libkreport3-4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: web plugin for KReport
