## kreport 3.1.0+rebuild

=== debian/changelog ===
kreport (3.1.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 12:58:12 +0800
