## kreport 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 include(SetKReportCMakePolicies NO_POLICY_SCOPE)
 
-project(KReport VERSION 3.1.0) # Update this
+project(KReport VERSION 3.2.0) # Update this
 
 include(KReportAddTests)
 include(KReportAddExamples)
@@ -33,7 +33,7 @@
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
 set(REQUIRED_KF5_VERSION 5.16.0)
-set(REQUIRED_KPROPERTY_VERSION 3.1.0)
+set(REQUIRED_KPROPERTY_VERSION 3.2.0)
 
 # Required components to build this framework
 # TODO move Widgets/KF5WidgetsAddons-dependent part to a libKReportDesigner
