=== src/pics/CMakeLists.txt ===
kreport_add_icons_rcc_file(kreport_breeze KReport breeze "")
