=== debian/changelog ===
kreport (3.2.0-6) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113085)
  * Tweak watch file so it works with newer versions of uscan.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:14:14 +0200

kreport (3.2.0-5) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkreport3-plugin-web since its out of security support and
    we’re removing it from Debian. (Closes: #1093533)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 18:24:52 +0100

kreport (3.2.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop libkreport3-plugin-maps since it requires Marble and we’ll be
    shipping a Qt6 Marble for Trixie.
  * Drop custom build flags that are now part of the defaults.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 16:31:24 +0100

kreport (3.2.0-3) unstable; urgency=medium

  * Backport upstream commit 5d3053ea78b349b81b7a562974ad78f93d169791 to export
    KReportGroupTracker when built with GCC 10; patch
    upstream_Fix-build-with-GCC-10-make-KReportGroupTracker-use-C.patch.
    (Closes: #975745)
    - update symbols files
  * Small copyright update.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Nov 2020 17:16:25 +0100

kreport (3.2.0-2) unstable; urgency=medium

  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add Rules-Requires-Root: no.
  * Update symbols files. (Closes: #975179)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:35:16 +0100

kreport (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update Vcs-* fields.
  * Bump the libkproperty3-dev build dependency to >= 3.2.0~.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Oct 2019 08:13:38 +0200
