=== debian/control ===
--- 
+++ 
@@ -4,25 +4,23 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.8.0),
                libkf5config-dev (>= 5.16.0),
                libkf5coreaddons-dev (>= 5.16.0),
                libkf5guiaddons-dev (>= 5.16.0),
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
-               libkproperty3-dev (>= 3.1.0~),
-               libmarble-dev (>= 4:16.08.0~),
-               libqt5webkit5-dev,
+               libkproperty3-dev (>= 3.2.0~),
                pkg-kde-tools (>= 0.15.16),
-               python3,
+               python3:any,
                qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
                qttools5-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Homepage: https://community.kde.org/KReport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kreport.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kreport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kreport.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kreport
 
 Package: libkreport3-4
 Architecture: any
@@ -106,33 +104,3 @@
  This package contains the barcode plugin for KReport.
  .
  This package is part of the Calligra Suite.
-
-Package: libkreport3-plugin-maps
-Architecture: any
-Multi-Arch: same
-Depends: libkreport3-4 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: maps plugin for KReport
- The KReport framework implements reporting functionality for creation
- of reports in MS Access style. They are also similar to SAP Crystal Reports
- and FileMaker reports.
- .
- This package contains the maps plugin for KReport.
- .
- This package is part of the Calligra Suite.
-
-Package: libkreport3-plugin-web
-Architecture: any
-Multi-Arch: same
-Depends: libkreport3-4 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: web plugin for KReport
- The KReport framework implements reporting functionality for creation
- of reports in MS Access style. They are also similar to SAP Crystal Reports
- and FileMaker reports.
- .
- This package contains the web plugin for KReport.
- .
- This package is part of the Calligra Suite.
