=== debian/watch ===
version=4
https://download.kde.org/stable/kreport/src/@PACKAGE@-([\d.]+)\.tar\.xz
