## kreport 3.2.0+p24.04+vstable+git20250914.1115

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20250914.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 11:15:55 +0000

kreport (3.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Mar 2018 10:12:22 +0000

kreport (3.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Aug 2017 03:13:04 +0000

kreport (3.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2017 13:35:47 +0000

kreport (3.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Oct 2016 12:56:04 +0000
