## kreport 3.2.0+p24.04+vstable+git20250921.0639

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20250921.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:39:03 +0000
