=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kreport/src/kreport-([\d\.]+)\.tar\.xz
