## kreport 3.2.0+p24.04+vstable+git20251127.0559

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
 set(REQUIRED_KF5_VERSION 5.16.0)
-set(REQUIRED_KPROPERTY_VERSION 3.2.0)
+set(REQUIRED_KPROPERTY_VERSION ${PROJECT_VERSION})
 
 # Required components to build this framework
 # TODO move Widgets/KF5WidgetsAddons-dependent part to a libKReportDesigner
@@ -45,7 +45,6 @@
 
 get_git_revision_and_branch()
 add_unfinished_features_option()
-add_pc_file(${PROJECT_NAME})
 
 add_subdirectory(src)
 
@@ -58,8 +57,8 @@
   add_subdirectory(examples)
 endif()
 
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ecm_install_po_files_as_qm(po)
+if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/poqm")
+    ecm_install_po_files_as_qm(poqm)
 endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
