=== src/CMakeLists.txt ===
--- 
+++ 
@@ -106,6 +106,7 @@
 
 if(KREPORT_SCRIPTING)
     list(APPEND kreport_LIB_SRCS
+        renderer/scripting/KReportGroupTracker.cpp
         renderer/scripting/KReportScriptHandler.cpp
         renderer/scripting/KReportScriptConstants.cpp
         renderer/scripting/KReportScriptDebug.cpp
@@ -131,10 +132,6 @@
         items/field/KReportScriptField.cpp
         items/image/KReportScriptImage.cpp
         items/text/KReportScriptText.cpp
-    )
-
-    qt_wrap_cpp(KReport kreport_LIB_SRCS
-        renderer/scripting/KReportGroupTracker.h
     )
 
     list(APPEND kreport_INCLUDE_DIRS
@@ -198,6 +195,8 @@
         Qt5::Widgets
         KF5::ConfigGui
         KF5::WidgetsAddons
+    PRIVATE
+        Qt5::PrintSupport
     )
 
 ecm_setup_version(${PROJECT_VERSION}
