=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20251127.0559-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 27 Nov 2025 05:59:11 +0000
