## kreport 3.2.0+p24.04+vstable+git20260131.0242

=== debian/changelog ===
kreport (3.2.0+p24.04+vstable+git20260131.0242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:42:46 +0000
