## kreport 3.2.0+p24.04+vunstable+git20250924.0938

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20250924.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 09:38:03 +0000
