=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: kreport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
@@ -12,15 +11,19 @@
                libkf5i18n-dev (>= 5.16.0),
                libkf5widgetsaddons-dev (>= 5.16.0),
                libkproperty3-dev (>= 3.2.0~),
+               libqt5webkit5-dev,
                pkg-kde-tools (>= 0.15.16),
                python3:any,
                qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
                qttools5-dev,
-Standards-Version: 4.7.2
+               qtwebengine5-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://community.kde.org/KReport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kreport.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kreport
+Vcs-Git: https://invent.kde.org/neon/extras/kreport.git
+Vcs-Browser: https://invent.kde.org/neon/extras/kreport
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libkreport3-4
 Architecture: any
@@ -76,11 +79,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkreport3-4 (= ${binary:Version}),
+Depends: libkf5coreaddons-dev,
+         libkproperty3-dev (>= 3.0.0),
+         libkreport3-4 (= ${binary:Version}),
          qtbase5-dev (>= 5.3.0),
-         libkproperty3-dev (>= 3.0.0),
-         libkf5coreaddons-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: development files for KReport
  The KReport framework implements reporting functionality for creation
  of reports in MS Access style. They are also similar to SAP Crystal Reports
@@ -104,3 +107,33 @@
  This package contains the barcode plugin for KReport.
  .
  This package is part of the Calligra Suite.
+
+Package: libkreport3-plugin-maps
+Architecture: any
+Multi-Arch: same
+Depends: libkreport3-4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: maps plugin for KReport
+ The KReport framework implements reporting functionality for creation
+ of reports in MS Access style. They are also similar to SAP Crystal Reports
+ and FileMaker reports.
+ .
+ This package contains the maps plugin for KReport.
+ .
+ This package is part of the Calligra Suite.
+
+Package: libkreport3-plugin-web
+Architecture: any
+Multi-Arch: same
+Depends: libkreport3-4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: web plugin for KReport
+ The KReport framework implements reporting functionality for creation
+ of reports in MS Access style. They are also similar to SAP Crystal Reports
+ and FileMaker reports.
+ .
+ This package contains the web plugin for KReport.
+ .
+ This package is part of the Calligra Suite.
