## kreport 3.2.0+p24.04+vunstable+git20251112.0021

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20251112.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 12 Nov 2025 00:21:42 +0000
