## kreport 3.2.0+p24.04+vunstable+git20251113.0222

=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20251113.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 02:22:54 +0000
