## kreport 3.2.0+p24.04+vunstable+git20260129.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+find_package(ECM 5.45.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 include(SetKReportCMakePolicies NO_POLICY_SCOPE)
 
-project(KReport VERSION 3.2.0) # Update this
+project(KReport VERSION 3.2.90) # Update this: Alpha = 90, Beta 1 = 91, RC 1 = 94
 
 include(KReportAddTests)
 include(KReportAddExamples)
@@ -22,17 +22,18 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMSetupQtPluginMacroNames)
+include(ECMAddQch)
 
 # Own
 include(KReportAddIconsRccFile)
-include(KReportAddQCH)
 include(KReportMacros)
 
 simple_option(BUILD_QCH "Build API documentation in QCH format" OFF)
 
 # Dependencies
 set(REQUIRED_QT_VERSION 5.4.0)
-set(REQUIRED_KF5_VERSION 5.16.0)
+set(REQUIRED_KF5_VERSION 5.44.0)
 set(REQUIRED_KPROPERTY_VERSION ${PROJECT_VERSION})
 
 # Required components to build this framework
@@ -45,6 +46,11 @@
 
 get_git_revision_and_branch()
 add_unfinished_features_option()
+
+ecm_setup_qtplugin_macro_names(
+    JSON_ARG2 KREPORT_PLUGIN_FACTORY
+    CONFIG_CODE_VARIABLE KREPORT_SETUP_AUTOMOC_VARIABLES
+)
 
 add_subdirectory(src)
