=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,6 @@
     common/KReportItemLine.cpp
     common/KReportRenderObjects.cpp
     common/KReportPluginManager.cpp
-    common/KReportJsonTrader_p.cpp
     common/KReportPluginMetaData.cpp
     common/KReportDataSource.cpp
     common/KReportUtils.cpp
@@ -210,10 +209,10 @@
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/${KREPORT_BASE_NAME}")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KREPORT_BASE_NAME}")
 
 # A place for KReport plugins
-set(KREPORT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
+set(KREPORT_PLUGIN_INSTALL_DIR ${KDE_INSTALL_PLUGINDIR}/${PROJECT_NAME_LOWER}${PROJECT_STABLE_VERSION_MAJOR})
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KReportConfig.cmake.in"
@@ -242,7 +241,7 @@
 install(FILES ${PRI_FILENAME}
         DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
-install(FILES kreport_elementplugin.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})
+install(FILES kreport_elementplugin.desktop  DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
 
 ecm_generate_headers(kreport_FORWARDING_HEADERS
     REQUIRED_HEADERS kreport_HEADERS
@@ -326,12 +325,12 @@
 )
 
 if(BUILD_QCH)
-    kreport_add_qch(
+    ecm_add_qch(
         KReport_QCH
         NAME KReport
         BASE_NAME ${KREPORT_BASE_NAME}
         VERSION ${PROJECT_VERSION}
-        NAMESPACE org.kde.${KREPORT_BASE_NAME}
+        ORG_DOMAIN org.kde.${KREPORT_BASE_NAME}
         SOURCES
             Mainpage.dox
             ${kreport_HEADERS}
@@ -345,16 +344,20 @@
             KF5CoreAddons_QCH
             KPropertyCore_QCH
             KPropertyWidgets_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+            ${kreport_INCLUDE_DIRS}
         BLANK_MACROS
             KREPORT_EXPORT
             KREPORT_DEPRECATED
-        TAGFILE_INSTALL_DESTINATION ${KREPORT_QTQCH_FULL_INSTALL_DIR}
-        QCH_INSTALL_DESTINATION ${KREPORT_QTQCH_FULL_INSTALL_DIR}
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
     )
     set(kreport_qch_targets KReport_QCH)
 endif()
 
-kreport_install_qch_export(
+ecm_install_qch_export(
     TARGETS ${kreport_qch_targets}
     FILE KReportQCHTargets.cmake
     DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
