=== debian/changelog ===
kreport (3.2.0+p24.04+vunstable+git20260129.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:22:17 +0000
